PORT-INFO(1)

NAME
port-info - Return information about the given ports.

SYNOPSIS

port [-q] [-D portdir] info
     [--categories|--category] [--conflicts] [--depends] [--depends_fetch]
     [--depends_extract] [--depends_build] [--depends_lib] [--depends_run]
     [--description] [--epoch] [--fullname] [--heading] [--homepage] [--index]
     [--license] [--line] [--long_description] [--maintainer|--maintainers]
     [--name] [--patchfiles] [--platform|--platforms] [--portdir] [--pretty]
     [--replaced_by] [--revision] [--subports] [--variant|--variants]
     [--version]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port info prints information about the given ports. Specifying at least one of the options limits the output to the corresponding field. If no fields are specified, a useful default set consisting of name, epoch, version, revision, categories, replaced_by, variants, description, homepage, dependencies, platforms, license, and maintainers is shown.

OPTIONS

The following options do not select fields for the output but change how the information is obtained or formatted:

--index
    Do not read the Portfile, but rely solely on the port index information. Note that this option will prevent the information reported from reflecting the effects of any variants specified.

--line
    Print a single line for each port. Fields are separated by spaces.

--pretty
    Format the output in a convenient, human-readable fashion. This is the default when no options are specified.

The rest of the options affect which fields will be given in the output:

--category, --categories
    List the categories of a port.

--conflicts
    List other ports that cannot be active at the same time as the given port.

--depends, --depends_fetch, --depends_extract, --depends_build, --depends_lib, --depends_run
    List the specified dependencies of a port. --depends is a shorthand option for all other --depends_* options.

--description, --long_description
    Print the short or long description of a port, respectively.

--epoch, --version, --revision
    List the components of a MacPorts version tuple, epoch, version and revision, respectively.

--fullname
    Print name and the full MacPorts version tuple, e.g., “yubico-pam @2.16”.

--heading
    Like --fullname but including the categories.

--homepage
    List the homepage of a port.

--license
    Print the license that applies to the source code of a port.

--maintainer, --maintainers
    List the email address(es) of a port’s maintainer(s).

--name
    Print the name of a port.

--patchfiles
    List the patches that will be applied to the port, taking the current platform and selected variants into account. This information will not be available if --index is specified.

--platform, --platforms
    List the platforms supported by a port. This field exists for historical reasons only. In modern MacPorts, this is always darwin, i.e., macOS.

--portdir
    Print the path to a port’s directory relative to the port tree root.

--replaced_by
    List the name of the port that replaces a port, if any.

--subports
    Print a list of subports defined by this port’s Portfile, i.e., ports that are defined in the same Portfile because they share common parts.

--variant, --variants
    List the variants defined by a port by name.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-q
    Do not print the field description when using --pretty output.

SEE ALSO

port(1)

AUTHORS

    (C) 2014-2015 The MacPorts Project
    Clemens Lang <cal@macports.org>